QTextOStream(3qt)

NAME
QTextOStream - A convenience class for output streams

#include <qtextstream.h>

Inherits QTextStream.

  Public Members
QTextOStream ( QString * s )
QTextOStream ( QByteArray ba )
QTextOStream ( FILE * f )

DESCRIPTION
A convenience class for output streams.

For simple tasks, code should be simple. Hence this class is a shorthand to avoid passing the mode argument to the normal QTextStream constructors.

This makes it easy for example, to write things like this:

    QString result;
    QTextOStream(&result) << "pi = " << 3.14;

MEMBER FUNCTION DOCUMENTATION

QTextOStream::QTextOStream ( QByteArray ba )
Constructs a stream to write to the array ba.

QTextOStream::QTextOStream ( QString * s )
Constructs a stream to write to string s.

QTextOStream::QTextOStream ( FILE * f )
Constructs a stream to write to the file f.

SEE ALSO
http://doc.trolltech.com/qtextostream.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qtextostream.3qt) and the Qt version (2.3.1).